Package org.apache.synapse.task

## Class TaskDescriptionRepository

- java.lang.Object
- - org.apache.synapse.task.TaskDescriptionRepository

-     public class TaskDescriptionRepository
      extends Object

  Local repository for holds Task descriptions

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskDescriptionRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTaskDescription​(TaskDescription taskDescription)` | Stores a given TaskDescription
    `void` | `clear()` |
    `Iterator<TaskDescription>` | `getAllTaskDescriptions()` | Return all TaskDescritions
    `TaskDescription` | `getTaskDescription​(String name)` | Gets a TaskDescription
    `boolean` | `isUnique​(String name)` | Explicit check for determine whether there is a task description with a name in interest
    `TaskDescription` | `removeTaskDescription​(String name)` | Removing a TaskDescription

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskDescriptionRepository

          public TaskDescriptionRepository()

  - ### Method Detail

    - #### addTaskDescription

          public void addTaskDescription​(TaskDescription taskDescription)

      Stores a given TaskDescription
      Parameters:
        `taskDescription` - TaskDescription instance

    - #### getTaskDescription

          public TaskDescription getTaskDescription​(String name)

      Gets a TaskDescription
      Parameters:
        `name` - Name of the TaskDescription to be looked up
      Returns:
        TaskDescription instance

    - #### removeTaskDescription

          public TaskDescription removeTaskDescription​(String name)

      Removing a TaskDescription
      Parameters:
        `name` - Name of the TaskDescription to be removed
      Returns:
        Removed TaskDescription instance

    - #### getAllTaskDescriptions

          public Iterator<TaskDescription> getAllTaskDescriptions()

      Return all TaskDescritions
      Returns:
        Iterator for access taskDescritions

    - #### isUnique

          public boolean isUnique​(String name)

      Explicit check for determine whether there is a task description with a name in interest
      Parameters:
        `name` - Name of the TaskDescription
      Returns:
        Returns true , if there is no TaskDescription associated with given name , otherwise , false

    - #### clear

          public void clear()